searchNodes=[{"ref":"Mix.Tasks.FastHtml.Bench.html","title":"Mix.Tasks.FastHtml.Bench","type":"task","doc":"Benchmarking task."},{"ref":"Mix.Tasks.FastHtml.Bench.html#run/1","title":"Mix.Tasks.FastHtml.Bench.run/1","type":"function","doc":"A task needs to implement run which receives a list of command line args. Callback implementation for Mix.Task.run/1."},{"ref":"fast_html.html","title":"fast_html","type":"module","doc":"A module to decode html into a tree structure. Based on Alexander Borisov&#39;s myhtml, this binding gains the properties of being html-spec compliant and very fast. Example iex&gt; :fast_html.decode(&quot;&lt;h1&gt;Hello world&lt;/h1&gt;&quot;) {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;h1&quot;, [], [&quot;Hello world&quot;]}]}]} Benchmark results (removed Nif calling mode) on various file sizes on a 2,5Ghz Core i7: Settings: duration: 1.0 s ## FileSizesBench [15:28:42] 1/3: github_trending_js.html 341k [15:28:46] 2/3: w3c_html5.html 131k [15:28:48] 3/3: wikipedia_hyperlink.html 97k Finished in 7.52 seconds ## FileSizesBench benchmark name iterations average time wikipedia_hyperlink.html 97k 1000 1385.86 µs/op w3c_html5.html 131k 1000 2179.30 µs/op github_trending_js.html 341k 500 5686.21 µs/op"},{"ref":"fast_html.html#decode/1","title":"fast_html.decode/1","type":"function","doc":"Returns a tree representation from the given html string. Examples iex&gt; :fast_html.decode(&quot;&lt;h1&gt;Hello world&lt;/h1&gt;&quot;) {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;h1&quot;, [], [&quot;Hello world&quot;]}]}]} iex&gt; :fast_html.decode(&quot;&lt;span class=&#39;hello&#39;&gt;Hi there&lt;/span&gt;&quot;) {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;span&quot;, [{&quot;class&quot;, &quot;hello&quot;}], [&quot;Hi there&quot;]}]}]} iex&gt; :fast_html.decode(&quot;&lt;body&gt;&lt;!-- a comment --!&gt;&lt;/body&gt;&quot;) {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [comment: &quot; a comment &quot;]}]} iex&gt; :fast_html.decode(&quot;&lt;br&gt;&quot;) {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;br&quot;, [], []}]}]}"},{"ref":"fast_html.html#decode/2","title":"fast_html.decode/2","type":"function","doc":"Returns a tree representation from the given html string. This variant allows you to pass in one or more of the following format flags: :html_atoms uses atoms for known html tags (faster), binaries for everything else. :nil_self_closing uses nil to designate self-closing tags and void elements. For example &lt;br&gt; is then being represented like {&quot;br&quot;, [], nil}. See http://w3c.github.io/html-reference/syntax.html#void-elements for a full list of void elements. :comment_tuple3 uses 3-tuple elements for comments, instead of the default 2-tuple element. Examples iex&gt; :fast_html.decode(&quot;&lt;h1&gt;Hello world&lt;/h1&gt;&quot;, format: [:html_atoms]) {:html, [], [{:head, [], []}, {:body, [], [{:h1, [], [&quot;Hello world&quot;]}]}]} iex&gt; :fast_html.decode(&quot;&lt;br&gt;&quot;, format: [:nil_self_closing]) {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;br&quot;, [], nil}]}]} iex&gt; :fast_html.decode(&quot;&lt;body&gt;&lt;!-- a comment --!&gt;&lt;/body&gt;&quot;, format: [:comment_tuple3]) {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{:comment, [], &quot; a comment &quot;}]}]} iex&gt; html = &quot;&lt;body&gt;&lt;!-- a comment --!&gt;&lt;unknown /&gt;&lt;/body&gt;&quot; iex&gt; :fast_html.decode(html, format: [:html_atoms, :nil_self_closing, :comment_tuple3]) {:html, [], [{:head, [], []}, {:body, [], [{:comment, [], &quot; a comment &quot;}, {&quot;unknown&quot;, [], nil}]}]}"},{"ref":"fast_html.html#t:attr/0","title":"fast_html.attr/0","type":"type","doc":""},{"ref":"fast_html.html#t:attr_list/0","title":"fast_html.attr_list/0","type":"type","doc":""},{"ref":"fast_html.html#t:comment_node/0","title":"fast_html.comment_node/0","type":"type","doc":""},{"ref":"fast_html.html#t:comment_node3/0","title":"fast_html.comment_node3/0","type":"type","doc":""},{"ref":"fast_html.html#t:format_flag/0","title":"fast_html.format_flag/0","type":"type","doc":""},{"ref":"fast_html.html#t:tag/0","title":"fast_html.tag/0","type":"type","doc":""},{"ref":"fast_html.html#t:tree/0","title":"fast_html.tree/0","type":"type","doc":""}]